'use strict';
jQuery( function( $ ){

	// slide Toggle
	function eapSlideToggle( ){
		var $this = $( this );
		if( ! $this.parent( ).hasClass( 'eap_no_content' ) )
			$this.siblings( '.eap_content' ).stop( ).slideToggle( ).parent( ).toggleClass('eap_open');
	}
	$( 'body' ).on( 'click', '.eap_title', eapSlideToggle );

	// trigger next cell when image is clicked
	function imageTrgigger( ){
		var $this = $( this ),
				$next_cell = $this.next( '.eap_type_regular' );
		if( $next_cell.length )
			$next_cell.children( '.eap_title' ).click( );
	}
	$( 'body' ).on( 'click', '.eap_type_image', imageTrgigger );

	// touch screen term children click fix
	$( 'body' ).on( 'click', '.eap_parent_term>a.eap_term_link', touchTermParent );
	function touchTermParent( e ){
		if( is_touch ){
			var $this = $(this),
					second_touch = false; // has user already opened the sub menu?

			if( ! $this.data('eap_touched') ){
				$this.data('eap_touched', true);
				e.preventDefault();
				setTimeout( function( ){ $( 'body' ).on( 'click', { $this: $this }, touchTermParentOver ) }, 1 ); // reset if body is touched elsewhere
			}else{
				$this.data('eap_touched', false);
			}

		}
	}

	function touchTermParentOver( e ){
		if( e.target !== e.data.$this[0] )
			e.data.$this.data('eap_touched', false);
	}

	// modify filter urls to combine filters
	var $_GET = breakdown_url_params( document.location.toString( ) ),
			page_url = location.protocol + '//' + location.host + location.pathname;
	remove_paged_vars( $_GET );

	// iterate over each filter term and fix its link
	$('.eap_term_link').each(function( ){
		var $this = $( this ),
				id = $this.closest( '.eap_filters' ).attr( 'data-grid-id' ), // removing search param
				href = $this.attr('href'),
				params = breakdown_url_params( href ),
				combined_params = $.extend( {}, $_GET, params ),
				tax_param = $this.attr( 'data-tax-param' );
		if( tax_param ){ // this is an 'all' filter
			delete combined_params[ tax_param ];
		}

		if( id && combined_params[ 'eap_search_'+ id ] ){
			delete combined_params[ 'eap_search_'+ id ];
		}
		var new_href = page_url + stringify_params_obj( combined_params );
		$this.attr( 'href', new_href );
	})

	function breakdown_url_params( url ){
		var $_GET = {};
		if(url.indexOf('?') !== -1) {
		    var query = url.replace(/^.*?\?/, '').replace(/#.*$/, '').split('&');
		    for(var i=0, l=query.length; i<l; i++) {
		       var aux = decodeURIComponent(query[i]).split('=');
		       $_GET[aux[0]] = aux[1];
		    }
		}
		return $_GET;
	}

	function stringify_params_obj( obj ){
		var string = '';
		$.each( obj, function( key, value ){
			string += key + '=' + value + '&';
		} )
		if( string ) string = '?' + string;
		string = string.substring( 0, string.length - 1 ); // remove last '&'
		return string;
	}

	function remove_paged_vars( obj ){
		$.each( obj, function( key, value ){
			if( '_paged' === key.substr( '-6' ) )
				delete obj[ key ];
		} )
	}

	var is_touch = $(window).width( ) < 1024;

} );
