<?php
/*
 * This is an example template file that you can copy and paste to your theme / child theme root folder and then rename and modify it.
 * If you want to organize your eap templates into a seaprate folder, remember to add the folder name to the shortcode generator.
 * So the template input value in the shortcode generator may be like 'eap-templates/example.php'
 *
 * Markup follows the structure <div class="eap_cell"> <div class="eap_title">Title</div> <div class="eap_content">Content...</div> </div>
 * You can skip the .eap-title and .eap-content divs if you do not need the accordion functionliaty.
*/
?>

<?php global $post; ?>
<div class="eap_cell eap_employee_info eap_employee_cell">
  <a class="eap_employee_thumb" href="<?php the_permalink(); ?>">
    <?php the_post_thumbnail( 'thumbnail' ); ?>
  </a>
  <div class="eap_employee_info_text">

    <h2 class="eap_employee_title">
      <a class="eap_employee_title_link" href="<?php the_permalink(); ?>">
        <?php the_title( ); ?>
      </a>
    </h2>
    <div class="eap_clear"></div>

    <?php
    // designation
      $designation = get_post_meta( $post->ID, 'eap-designation', true );
      if( $designation ){
    ?>
    <h3 class="eap_employee_designation"><?php echo $designation ?></h2>
    <div class="eap_clear"></div>
    <?php
      }
    ?>

    <?php
    // email
      $email = get_post_meta( $post->ID, 'eap-email', true );
      if( $email ){
    ?>
    <a class="eap_employee_email" href="mailto:<?php echo $email ?>"><?php echo $email ?></a>
    <div class="eap_clear"></div>
    <?php
      }
    ?>

    <div class="eap_employee_social">
      <?php
        // social
        $social_arr = array(
          array(
            'icon_class'=> 'fa fa-linkedin',
            'title'=> 'LinkedIn',
            'key'=> 'eap-linkedin'
          ),

          array(
            'icon_class'=> 'fa fa-twitter',
            'title'=> 'Twitter',
            'key'=> 'eap-twitter'
          ),

          array(
            'icon_class'=> 'fa fa-facebook',
            'title'=> 'Facebook',
            'key'=> 'eap-facebook'
          ),

          array(
            'icon_class'=> 'fa fa-google-plus',
            'title'=> 'Google Plus',
            'key'=> 'eap-google-plus'
          ),

          array(
            'icon_class'=> 'fa fa-pinterest',
            'title'=> 'Pinterest',
            'key'=> 'eap-pinterest'
          ),
        );

        foreach( $social_arr as $item ){
          if( $link = get_post_meta( $post->ID, $item['key'], true ) ){
            ?>
            <a href="<?php echo $link ?>" title="<?php echo $item['title'] ?>" class="eap_employee_social_link">
              <i class="<?php echo $item['icon_class'] ?>"></i>
            </a>
            <?php
          }
        }
      ?>
    </div>


  </div>
</div>
